package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TsafeuserdetailDTO implements Serializable {

    private static final long serialVersionUID = 810531959662156L;

    private Integer tsafeuserdetailPK;

    private Integer recordversion;

    private java.util.Date datefrom;

    private String nickname;

    private String password;

    private String branchfromterminal;

    private String changepassword;

    private String ingressuser;

    private String modifyuser;

    private String activateuser;

    private String isuserbpm;

    private String ccentrocontrol;

    private Integer tgenearea;

    private Integer tgenecatalogdetail;

    private Integer channelcode;

    private Integer languagecode;

    private Integer tgeneoffice;

    private Integer tsafeterminal;

    private Integer tsafeuser;

        public Integer getTsafeuserdetailPK() {
    return tsafeuserdetailPK;
    }

        public void setTsafeuserdetailPK(Integer tsafeuserdetailPK) {
    this.tsafeuserdetailPK = tsafeuserdetailPK;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public String getNickname() {
    return nickname;
    }

        public void setNickname(String nickname) {
    this.nickname = nickname;
    }

        public String getPassword() {
    return password;
    }

        public void setPassword(String password) {
    this.password = password;
    }

        public String getBranchfromterminal() {
    return branchfromterminal;
    }

        public void setBranchfromterminal(String branchfromterminal) {
    this.branchfromterminal = branchfromterminal;
    }

        public String getChangepassword() {
    return changepassword;
    }

        public void setChangepassword(String changepassword) {
    this.changepassword = changepassword;
    }

        public String getIngressuser() {
    return ingressuser;
    }

        public void setIngressuser(String ingressuser) {
    this.ingressuser = ingressuser;
    }

        public String getModifyuser() {
    return modifyuser;
    }

        public void setModifyuser(String modifyuser) {
    this.modifyuser = modifyuser;
    }

        public String getActivateuser() {
    return activateuser;
    }

        public void setActivateuser(String activateuser) {
    this.activateuser = activateuser;
    }

        public String getIsuserbpm() {
    return isuserbpm;
    }

        public void setIsuserbpm(String isuserbpm) {
    this.isuserbpm = isuserbpm;
    }

        public String getCcentrocontrol() {
    return ccentrocontrol;
    }

        public void setCcentrocontrol(String ccentrocontrol) {
    this.ccentrocontrol = ccentrocontrol;
    }

        public Integer getTgenearea() {
    return tgenearea;
    }

        public void setTgenearea(Integer tgenearea) {
    this.tgenearea = tgenearea;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getChannelcode() {
    return channelcode;
    }

        public void setChannelcode(Integer channelcode) {
    this.channelcode = channelcode;
    }

        public Integer getLanguagecode() {
    return languagecode;
    }

        public void setLanguagecode(Integer languagecode) {
    this.languagecode = languagecode;
    }

        public Integer getTgeneoffice() {
    return tgeneoffice;
    }

        public void setTgeneoffice(Integer tgeneoffice) {
    this.tgeneoffice = tgeneoffice;
    }

        public Integer getTsafeterminal() {
    return tsafeterminal;
    }

        public void setTsafeterminal(Integer tsafeterminal) {
    this.tsafeterminal = tsafeterminal;
    }

        public Integer getTsafeuser() {
    return tsafeuser;
    }

        public void setTsafeuser(Integer tsafeuser) {
    this.tsafeuser = tsafeuser;
    }

}